unit schCobrosClienteClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_DarReferencia = '{E4672902-5EF9-4454-BA73-44850E0F476B}';
  RID_CobrosCliente = '{9AF4D32F-21CD-47A9-8A90-4F9EBD390077}';
  RID_CobrosCliente_Refresh = '{55351844-787C-403C-B3FF-873377A631AE}';

  { Data table names }
  nme_DarReferencia = 'DarReferencia';
  nme_CobrosCliente = 'CobrosCliente';
  nme_CobrosCliente_Refresh = 'CobrosCliente_Refresh';

  { DarReferencia fields }
  fld_DarReferenciaVALOR = 'VALOR';

  { DarReferencia field indexes }
  idx_DarReferenciaVALOR = 0;

  { CobrosCliente fields }
  fld_CobrosClienteID = 'ID';
  fld_CobrosClienteID_EMPRESA = 'ID_EMPRESA';
  fld_CobrosClienteID_CLIENTE = 'ID_CLIENTE';
  fld_CobrosClienteID_MONTAJE = 'ID_MONTAJE';
  fld_CobrosClienteREFERENCIA = 'REFERENCIA';
  fld_CobrosClienteFECHA_COBRO = 'FECHA_COBRO';
  fld_CobrosClienteDESCRIPCION = 'DESCRIPCION';
  fld_CobrosClienteIMPORTE = 'IMPORTE';
  fld_CobrosClienteFORMA_PAGO = 'FORMA_PAGO';
  fld_CobrosClienteFECHA_ALTA = 'FECHA_ALTA';
  fld_CobrosClienteFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_CobrosClienteUSUARIO = 'USUARIO';
  fld_CobrosClienteNOMBRE = 'NOMBRE';

  { CobrosCliente field indexes }
  idx_CobrosClienteID = 0;
  idx_CobrosClienteID_EMPRESA = 1;
  idx_CobrosClienteID_CLIENTE = 2;
  idx_CobrosClienteID_MONTAJE = 3;
  idx_CobrosClienteREFERENCIA = 4;
  idx_CobrosClienteFECHA_COBRO = 5;
  idx_CobrosClienteDESCRIPCION = 6;
  idx_CobrosClienteIMPORTE = 7;
  idx_CobrosClienteFORMA_PAGO = 8;
  idx_CobrosClienteFECHA_ALTA = 9;
  idx_CobrosClienteFECHA_MODIFICACION = 10;
  idx_CobrosClienteUSUARIO = 11;
  idx_CobrosClienteNOMBRE = 12;

  { CobrosCliente_Refresh fields }
  fld_CobrosCliente_RefreshID = 'ID';
  fld_CobrosCliente_RefreshID_EMPRESA = 'ID_EMPRESA';
  fld_CobrosCliente_RefreshID_CLIENTE = 'ID_CLIENTE';
  fld_CobrosCliente_RefreshID_MONTAJE = 'ID_MONTAJE';
  fld_CobrosCliente_RefreshREFERENCIA = 'REFERENCIA';
  fld_CobrosCliente_RefreshFECHA_COBRO = 'FECHA_COBRO';
  fld_CobrosCliente_RefreshDESCRIPCION = 'DESCRIPCION';
  fld_CobrosCliente_RefreshIMPORTE = 'IMPORTE';
  fld_CobrosCliente_RefreshFORMA_PAGO = 'FORMA_PAGO';
  fld_CobrosCliente_RefreshFECHA_ALTA = 'FECHA_ALTA';
  fld_CobrosCliente_RefreshFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_CobrosCliente_RefreshUSUARIO = 'USUARIO';
  fld_CobrosCliente_RefreshNOMBRE = 'NOMBRE';

  { CobrosCliente_Refresh field indexes }
  idx_CobrosCliente_RefreshID = 0;
  idx_CobrosCliente_RefreshID_EMPRESA = 1;
  idx_CobrosCliente_RefreshID_CLIENTE = 2;
  idx_CobrosCliente_RefreshID_MONTAJE = 3;
  idx_CobrosCliente_RefreshREFERENCIA = 4;
  idx_CobrosCliente_RefreshFECHA_COBRO = 5;
  idx_CobrosCliente_RefreshDESCRIPCION = 6;
  idx_CobrosCliente_RefreshIMPORTE = 7;
  idx_CobrosCliente_RefreshFORMA_PAGO = 8;
  idx_CobrosCliente_RefreshFECHA_ALTA = 9;
  idx_CobrosCliente_RefreshFECHA_MODIFICACION = 10;
  idx_CobrosCliente_RefreshUSUARIO = 11;
  idx_CobrosCliente_RefreshNOMBRE = 12;

type
  { IDarReferencia }
  IDarReferencia = interface(IDAStronglyTypedDataTable)
  ['{9714C006-FF32-4288-9644-60C0B1C48818}']
    { Property getters and setters }
    function GetVALORValue: String;
    procedure SetVALORValue(const aValue: String);


    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;
  end;

  { TDarReferenciaDataTableRules }
  TDarReferenciaDataTableRules = class(TDADataTableRules, IDarReferencia)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR: String read GetVALORValue write SetVALORValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { ICobrosCliente }
  ICobrosCliente = interface(IDAStronglyTypedDataTable)
  ['{10395AF4-3520-47DA-A7F9-D483D4C7760E}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_CLIENTEValue: Integer;
    procedure SetID_CLIENTEValue(const aValue: Integer);
    function GetID_MONTAJEValue: Integer;
    procedure SetID_MONTAJEValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetFECHA_COBROValue: DateTime;
    procedure SetFECHA_COBROValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetIMPORTEValue: Float;
    procedure SetIMPORTEValue(const aValue: Float);
    function GetFORMA_PAGOValue: String;
    procedure SetFORMA_PAGOValue(const aValue: String);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property FECHA_COBRO: DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property FORMA_PAGO: String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
  end;

  { TCobrosClienteDataTableRules }
  TCobrosClienteDataTableRules = class(TDADataTableRules, ICobrosCliente)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_COBROValue: DateTime; virtual;
    procedure SetFECHA_COBROValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetFORMA_PAGOValue: String; virtual;
    procedure SetFORMA_PAGOValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property FECHA_COBRO: DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property FORMA_PAGO: String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { ICobrosCliente_Refresh }
  ICobrosCliente_Refresh = interface(IDAStronglyTypedDataTable)
  ['{72C5A6CE-8692-4A87-B1EA-A1EBB4B184BA}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_CLIENTEValue: Integer;
    procedure SetID_CLIENTEValue(const aValue: Integer);
    function GetID_MONTAJEValue: Integer;
    procedure SetID_MONTAJEValue(const aValue: Integer);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetFECHA_COBROValue: DateTime;
    procedure SetFECHA_COBROValue(const aValue: DateTime);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetIMPORTEValue: Float;
    procedure SetIMPORTEValue(const aValue: Float);
    function GetFORMA_PAGOValue: String;
    procedure SetFORMA_PAGOValue(const aValue: String);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property FECHA_COBRO: DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property FORMA_PAGO: String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
  end;

  { TCobrosCliente_RefreshDataTableRules }
  TCobrosCliente_RefreshDataTableRules = class(TDADataTableRules, ICobrosCliente_Refresh)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_COBROValue: DateTime; virtual;
    procedure SetFECHA_COBROValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTEValue: Float; virtual;
    procedure SetIMPORTEValue(const aValue: Float); virtual;
    function GetFORMA_PAGOValue: String; virtual;
    procedure SetFORMA_PAGOValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property FECHA_COBRO: DateTime read GetFECHA_COBROValue write SetFECHA_COBROValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property IMPORTE: Float read GetIMPORTEValue write SetIMPORTEValue;
    property FORMA_PAGO: String read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TDarReferenciaDataTableRules }
constructor TDarReferenciaDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TDarReferenciaDataTableRules.Destroy;
begin
  inherited;
end;

function TDarReferenciaDataTableRules.GetVALORValue: String;
begin
  result := DataTable.Fields[idx_DarReferenciaVALOR].AsString;
end;

procedure TDarReferenciaDataTableRules.SetVALORValue(const aValue: String);
begin
  DataTable.Fields[idx_DarReferenciaVALOR].AsString := aValue;
end;


{ TCobrosClienteDataTableRules }
constructor TCobrosClienteDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TCobrosClienteDataTableRules.Destroy;
begin
  inherited;
end;

function TCobrosClienteDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosClienteID].AsInteger;
end;

procedure TCobrosClienteDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosClienteID].AsInteger := aValue;
end;

function TCobrosClienteDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosClienteID_EMPRESA].AsInteger;
end;

procedure TCobrosClienteDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosClienteID_EMPRESA].AsInteger := aValue;
end;

function TCobrosClienteDataTableRules.GetID_CLIENTEValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosClienteID_CLIENTE].AsInteger;
end;

procedure TCobrosClienteDataTableRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosClienteID_CLIENTE].AsInteger := aValue;
end;

function TCobrosClienteDataTableRules.GetID_MONTAJEValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosClienteID_MONTAJE].AsInteger;
end;

procedure TCobrosClienteDataTableRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosClienteID_MONTAJE].AsInteger := aValue;
end;

function TCobrosClienteDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_CobrosClienteREFERENCIA].AsString;
end;

procedure TCobrosClienteDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosClienteREFERENCIA].AsString := aValue;
end;

function TCobrosClienteDataTableRules.GetFECHA_COBROValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosClienteFECHA_COBRO].AsDateTime;
end;

procedure TCobrosClienteDataTableRules.SetFECHA_COBROValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosClienteFECHA_COBRO].AsDateTime := aValue;
end;

function TCobrosClienteDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_CobrosClienteDESCRIPCION].AsString;
end;

procedure TCobrosClienteDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosClienteDESCRIPCION].AsString := aValue;
end;

function TCobrosClienteDataTableRules.GetIMPORTEValue: Float;
begin
  result := DataTable.Fields[idx_CobrosClienteIMPORTE].AsFloat;
end;

procedure TCobrosClienteDataTableRules.SetIMPORTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_CobrosClienteIMPORTE].AsFloat := aValue;
end;

function TCobrosClienteDataTableRules.GetFORMA_PAGOValue: String;
begin
  result := DataTable.Fields[idx_CobrosClienteFORMA_PAGO].AsString;
end;

procedure TCobrosClienteDataTableRules.SetFORMA_PAGOValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosClienteFORMA_PAGO].AsString := aValue;
end;

function TCobrosClienteDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosClienteFECHA_ALTA].AsDateTime;
end;

procedure TCobrosClienteDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosClienteFECHA_ALTA].AsDateTime := aValue;
end;

function TCobrosClienteDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosClienteFECHA_MODIFICACION].AsDateTime;
end;

procedure TCobrosClienteDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosClienteFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TCobrosClienteDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_CobrosClienteUSUARIO].AsString;
end;

procedure TCobrosClienteDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosClienteUSUARIO].AsString := aValue;
end;

function TCobrosClienteDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_CobrosClienteNOMBRE].AsString;
end;

procedure TCobrosClienteDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosClienteNOMBRE].AsString := aValue;
end;


{ TCobrosCliente_RefreshDataTableRules }
constructor TCobrosCliente_RefreshDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TCobrosCliente_RefreshDataTableRules.Destroy;
begin
  inherited;
end;

function TCobrosCliente_RefreshDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshID].AsInteger;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshID].AsInteger := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshID_EMPRESA].AsInteger;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshID_EMPRESA].AsInteger := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetID_CLIENTEValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshID_CLIENTE].AsInteger;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshID_CLIENTE].AsInteger := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetID_MONTAJEValue: Integer;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshID_MONTAJE].AsInteger;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshID_MONTAJE].AsInteger := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshREFERENCIA].AsString;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshREFERENCIA].AsString := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetFECHA_COBROValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshFECHA_COBRO].AsDateTime;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetFECHA_COBROValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshFECHA_COBRO].AsDateTime := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshDESCRIPCION].AsString;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshDESCRIPCION].AsString := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetIMPORTEValue: Float;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshIMPORTE].AsFloat;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetIMPORTEValue(const aValue: Float);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshIMPORTE].AsFloat := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetFORMA_PAGOValue: String;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshFORMA_PAGO].AsString;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetFORMA_PAGOValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshFORMA_PAGO].AsString := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshFECHA_ALTA].AsDateTime;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshFECHA_ALTA].AsDateTime := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshFECHA_MODIFICACION].AsDateTime;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshUSUARIO].AsString;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshUSUARIO].AsString := aValue;
end;

function TCobrosCliente_RefreshDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_CobrosCliente_RefreshNOMBRE].AsString;
end;

procedure TCobrosCliente_RefreshDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_CobrosCliente_RefreshNOMBRE].AsString := aValue;
end;


initialization
  RegisterDataTableRules(RID_DarReferencia, TDarReferenciaDataTableRules);
  RegisterDataTableRules(RID_CobrosCliente, TCobrosClienteDataTableRules);
  RegisterDataTableRules(RID_CobrosCliente_Refresh, TCobrosCliente_RefreshDataTableRules);

end.
